Skip to main content
GET
/
v1
/
conversations
/
{id}
/
ai-suggestion
Get the current pending AI suggestion for a conversation
curl --request GET \
  --url https://dev.flextell.ai/api/v1/conversations/{id}/ai-suggestion \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "conversation_id": 123,
    "original_text": "<string>",
    "final_text": "<string>",
    "status": "<string>",
    "rating": "<string>",
    "pending_actions": [
      "<unknown>"
    ],
    "trigger_chat_log_ids": [
      "<unknown>"
    ],
    "has_new_messages": true,
    "sent_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The conversation identifier

Response

success
string
required
data
AiSuggestionResource · object
required